# WallPyPer

WallPyPer - это маленькая утилита, которая работает
с помощью [foo-Wallpaper-Feh-Gif ](https://github.com/thomas10-10/foo-Wallpaper-Feh-Gif) и [feh](https://github.com/derf/feh).

WallPyPer умеет работать как с картинками так с гифками!

## Установка

Зависимости 

* [feh](https://github.com/derf/feh)
* [foo-Wallpaper-Feh-Gif ](https://github.com/thomas10-10/foo-Wallpaper-Feh-Gif)
* [pytomlpp](https://github.com/bobfang1992/pytomlpp)

**feh** скорее всего уже есть в вашем списке репозиториев.

Debian/Ubuntu:
```
sudo apt install feh
```
Arch:
```
pacman -S feh
```

**foo-WallPaper-Feh-Gif** это всего лишь Bash скрипт его можно скачать [тут](https://github.com/thomas10-10/foo-Wallpaper-Feh-Gif/blob/master/back4.sh).
```
curl -L https://raw.githubusercontent.com/thomas10-10/foo-Wallpaper-Feh-Gif/master/install.sh | bash
```

---

Установите pytomlpp
```
pip install pytomlpp
```

---

После этого скачайте WallPyPer и установите его.
```
git clone https://github.com/KarimullinArthur/WallPyPer.git

cd WallPyPer

chmod +x install.sh

./install.sh
```

## Настройка

Создайте конфигурационный факл в ~/.config/wallpyper/config

Пример:
```
# WallPyPer

default_theme = "main"

[new]
type = "static"
random = true
path = "~/.bg/"

[main]
type = "static"
url = "~/.bg/1.jpg"

[dynamic]
type = "dynamic"
path = "~/.bg/"
delay = "10:00"
``` 

## Автозагрузка

Для **i3wm** добавте в свой ~/.config/i3/config строчку:
```
exec wallpyper
```